import sys
from PySide import QtGui, QtCore, QtUiTools

# Import the compiled UI module
from customwidget import Ui_customWidget
from mainwindow import Ui_MainWindow


# Create a class for our main window
class Gui_Qt(QtGui.QMainWindow):

    def __init__(self, parent=None):
        super(Gui_Qt, self).__init__(parent)

        self.ui = Ui_MainWindow()
        self.ui.setupUi(self)

        self.centralwidget = QtGui.QWidget()
        self.customwidget = Ui_customWidget()
        self.customwidget.setupUi(self.centralwidget)
        self.setCentralWidget(self.centralwidget)

        # actions
        self.ui.actionExit.triggered.connect(self.on_actionExit_triggered)
        self.ui.actionAbout.triggered.connect(self.on_actionAbout_triggered)

    def on_actionExit_triggered(self):
        self.close()

    def on_actionAbout_triggered(self):
        QtGui.QMessageBox.about(self, "XML-RPC Currency Calculator",
                "<html>&copy; Rainer Poisel und Marcus Nutzinger, 2011</html>")


class CMain:
    def __init__(self):
        self.__mApp = QtGui.QApplication(sys.argv)
        self.__mWindow = Gui_Qt()

    def run(self):
        self.__mWindow.show()
        lReturn = self.__mApp.exec_()
        sys.exit(lReturn)


if __name__ == "__main__":
    lMain = CMain()
    lMain.run()
